ru.bitel.bgbilling.modules.softline.common.bean

## Enum TypeProduct

- java.lang.Object
- - java.lang.Enum<TypeProduct>
  - - ru.bitel.bgbilling.modules.softline.common.bean.TypeProduct

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TypeProduct>

      public enum TypeProduct
      extends java.lang.Enum<TypeProduct>

  Тип продукт или категория продукта. Создан для получения изображения через `ProductService` для соответствующей сущности

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PRODUCT`
    `PRODUCT_CATEGORY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeProduct` | `valueOf(int ordinal)`
    `static TypeProduct` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TypeProduct[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRODUCT

          public static final TypeProduct PRODUCT

    - #### PRODUCT_CATEGORY

          public static final TypeProduct PRODUCT_CATEGORY

  - ### Method Detail

    - #### values

          public static TypeProduct[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeProduct c : TypeProduct.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeProduct valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static TypeProduct valueOf(int ordinal)